Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::VideoConfigurationEx Struct Reference

`#include <video_config_i.h>`

## Public Member Functions
| VideoConfigurationEx ()=default
| ~VideoConfigurationEx ()=default
void | SetAll (const VideoConfigurationEx &change)
bool | operator== (const VideoConfigurationEx &o) const
bool | operator!= (const VideoConfigurationEx &o) const
std::string | ToString () const
| Optional (number_of_bframe_temporal_layers)
| Optional (min_qp)
| Optional (max_qp)
| Optional (frame_max_size)

## Public Attributes
Optional< int > | codec_type
Optional< int > | h265_screen_enable
Optional< int > | frame_width
Optional< int > | frame_height
Optional< int > | frame_rate
Optional< int > | start_bitrate
Optional< int > | target_bitrate
Optional< int > | min_bitrate
Optional< int > | max_bitrate
Optional< int > | actual_max_bitrate
Optional< int > | orientation_mode
Optional< uint8_t > | number_of_temporal_layers
Optional< std::string > | sps_data
Optional< std::string > | pps_data
Optional< int > | h264_profile
Optional< bool > | adaptive_op_mode
Optional< uint8_t > | number_of_spatial_layers
Optional< bool > | flexible_mode
Optional< int > | interlayer_pred
Optional< int > | num_of_encoder_cores
Optional< int > | degradation_preference
Optional< int > | fps_down_step
Optional< int > | fps_up_step
Optional< int > | vqc_version
Optional< int > | vqc_force_use_version
Optional< int > | overuse_detector_version
Optional< bool > | vqc_quick_adaptNetwork
Optional< int > | vqc_min_framerate
Optional< std::string > | vqc_settings_by_resolution
Optional< int > | vqc_min_holdtime_auto_resize_zoomin
Optional< int > | vqc_min_holdtime_auto_resize_zoomout
Optional< int > | vqc_qp_adjust
Optional< int > | vqc_ios_h265_adjust
Optional< int > | vqc_res_min_width
Optional< int > | vqc_res_min_height
Optional< int > | quick_response_intra_request
Optional< int > | fec_method
Optional< int > | fec_fix_rate
Optional< bool > | h265_dec_enable
Optional< bool > | av1_dec_enable
Optional< bool > | av1_camera_enable
Optional< bool > | av1_feedback_enable
Optional< bool > | av1_screen_enable
Optional< int > | major_stream_encoder_thread_num
Optional< int > | minor_stream_encoder_thread_num
Optional< bool > | enc_scc_enable
Optional< bool > | vp8_enc_switch
Optional< bool > | vcm_info_event_enable
Optional< int > | min_enc_level
Optional< int > | minscore_for_swh265enc
Optional< int > | max_hwenc_cosessions
Optional< bool > | default_enable_hwenc_win32
Optional< bool > | allow_qsvhevcenc_for_screenshare
Optional< std::string > | hwenc_blacklist
Optional< std::string > | hwdec_blacklist
Optional< bool > | enable_change_encoder_profile
Optional< bool > | wz265_dec_enable
Optional< int > | complexity
Optional< bool > | denoising_on
Optional< bool > | automatic_resize_on
Optional< bool > | frame_dropping_on
Optional< bool > | has_intra_request
Optional< int > | key_frame_interval
Optional< int > | entropy_coding_mode_flag
Optional< int > | loop_filter_disable_idc
Optional< bool > | background_detection_on
Optional< int > | posted_frames_waiting_for_encode
Optional< int > | freeze_detect_threshold
Optional< std::string > | bitrate_adjust_ratio
Optional< std::string > | minbitrate_ratio
Optional< bool > | quality_scale_only_on_average_qp
Optional< int > | h264_qp_thresholds_low
Optional< int > | h264_qp_thresholds_high
Optional< int > | reset_bitrate_ratio
Optional< int > | reset_framerate_ratio
Optional< int > | dec_mosreport
Optional< int > | vqa_model_target_fps
Optional< bool > | enable_hw_decoder
Optional< bool > | enable_background_hw_decode
Optional< std::string > | hw_decoder_provider
Optional< int > | decoder_thread_num
Optional< int > | max_hwdec_cosessions
Optional< bool > | enable_hw_encoder
Optional< uint32_t > | hw_encoder_provider
Optional< uint32_t > | av_enc_codec_type
Optional< uint32_t > | av_enc_common_quality
Optional< uint32_t > | av_enc_common_rate_control_mode
Optional< bool > | enable_nvdia_first
Optional< int32_t > | nvdia_cpu_threshold_mhz
Optional< int32_t > | intel_cpu_threshold_mhz
Optional< bool > | vdm_not_override_lua_smallvideo_not_use_hwenc_policy
Optional< bool > | enable_video_qoe_assess
Optional< int > | h264_hw_min_res_level
Optional< int > | av_enc_video_max_slices
Optional< int > | video_encoder_rc_limit_value
Optional< int > | minor_stream_video_encoder_rc_limit_value
Optional< int > | video_encoder_rc_scene
Optional< int > | video_encoder_impair_net_ref_opt
Optional< int > | av_sw_enc_dump_frame_info
Optional< bool > | enable_pvc
Optional< int > | pvc_max_support_resolution
Optional< bool > | enable_pvc_verify
Optional< bool > | enable_sr_verify
Optional< int > | sr_verify_type
Optional< bool > | enable_sr
Optional< int > | sr_type
Optional< bool > | enable_video_vpr
Optional< int32_t > | video_vpr_init_size
Optional< int32_t > | video_vpr_max_size
Optional< int32_t > | video_vpr_frozen_ms_thres
Optional< int32_t > | video_vpr_frozen_rate_thres
Optional< int32_t > | video_vpr_method
Optional< int32_t > | video_vpr_adaptive_thres
Optional< bool > | retrans_detect_enable
Optional< bool > | use_sent_ts_enable
Optional< int32_t > | av_enc_intra_key_interval
Optional< int32_t > | key_force_device_score
Optional< int32_t > | av_enc_bitrate_adjustment_type
Optional< int > | video_rotation
Optional< int > | scale_type
Optional< bool > | video_render_d3d9_texture
Optional< int32_t > | video_render_d3d9_render_mode
Optional< int32_t > | video_render_buffer_queue_size
Optional< bool > | video_render_vsync_switch
Optional< bool > | video_force_texture_to_i420
Optional< bool > | video_windows_capture_to_texture
Optional< bool > | video_android_capturer_copy_enable
Optional< bool > | video_enable_high_definition_strategy
Optional< bool > | av_enc_video_use_a264
Optional< bool > | av_enc_video_enable_roi
Optional< int > | roi_max_qp
Optional< int > | roi_qp_offset
Optional< int > | av_enc_video_qp_parser_skip
Optional< int > | video_clarity_analysis_flag
Optional< int > | video_clarity_analysis_max_map_size
Optional< int > | video_clarity_analysis_max_list_size
Optional< int > | video_clarity_analysis_max_time_range
Optional< int > | video_clarity_analysis_score_threshold
Optional< bool > | av_enc_vmaf_calc
Optional< bool > | av_enc_profiling
Optional< std::string > | av_enc_param_config
Optional< std::string > | video_resolution_auto_adjust_param
Optional< std::string > | video_quality_guarantee
Optional< std::string > | av_enc_advanced_param_config
Optional< int32_t > | av_enc_screen_sharing_subclass
Optional< int32_t > | av_enc_video_width_alignment
Optional< int32_t > | av_enc_video_height_alignment
Optional< int32_t > | av_enc_video_hdr_width_alignment
Optional< int32_t > | av_enc_video_hdr_height_alignment
Optional< std::string > | av_enc_video_hwenc_config
Optional< std::string > | av_dec_video_hwdec_config
Optional< std::string > | av_hw_dec_skip_by_name
Optional< std::string > | av_hw_enc_skip_by_name
Optional< int32_t > | av_enc_hw_hevc_exceptions
Optional< int32_t > | av_dec_hw_hevc_exceptions
Optional< int32_t > | av_enc_hw_exceptions
Optional< bool > | av_enc_video_force_alignment
Optional< bool > | av_enc_video_enable_dequeue_timewait
Optional< bool > | av_enc_video_adjustment_reset
Optional< bool > | av_dec_texture_copy_enable
Optional< bool > | av_dec_output_byte_frame
Optional< bool > | av_dec_output_10bit_frame
Optional< bool > | av_enc_google_enable
Optional< bool > | av_dec_google_enable
Optional< bool > | av_dec_google_dav1d_enable
Optional< int > | av_dec_output_byte_frame_resolution_product_thres
Optional< bool > | enable_hw_decoder_reset_cropping
Optional< bool > | use_single_slice_parser
Optional< bool > | color_space_enable
Optional< int > | videoFullrange
Optional< int > | matrixCoefficients
Optional< bool > | enable_iptos
Optional< bool > | save_encode_bitrate
Optional< bool > | save_encode_bitrate_minor_stream
Optional< std::string > | save_encode_bitrate_params
Optional< int > | key_frame_interval_intra_request
Optional< int > | video_switch_soft_decoder_threshold
Optional< int > | min_encode_keyframe_interval
Optional< bool > | video_skip_enable
Optional< bool > | av_enc_new_complexity
Optional< int > | av_enc_default_complexity
Optional< bool > | enable_parser_reject
Optional< int > | direct_cdn_streaming_h264_profile
Optional< bool > | av_enc_send_sei_alpha
Optional< int > | av_enc_alpha_data_codec_type
Optional< int > | av_enc_alpha_data_scale_mode
Optional< bool > | av_enc_encode_alpha
Optional< bool > | enable_bframe
Optional< int > | bFrames
Optional< bool > | enable_bframe_h265
Optional< std::string > | bitrate_ceiling_ratio
Optional< bool > | enable_hw_encoder_quickly_start
Optional< bool > | initial_hw_encoder_quickly_start
Optional< int > | fake_enc_error_code
Optional< bool > | enable_smooth_enc_codec_change
Optional< int > | fps_est_window_size_ms
Optional< bool > | default_enable_hw_encoder
Optional< int > | use_keyframe_type_from_parser
Optional< int > | frame_glitching_detect_level
Optional< bool > | enable_minor_stream_intra_request
Optional< bool > | low_stream_enable_hw_encoder
Optional< uint8_t > | simulcast_stream_number_of_temporal_layers
Optional< std::string > | simulcast_stream_bitrate_string
Optional< bool > | enable_follow_major_stream
Optional< float > | major_minor_stream_resolution_ratio
Optional< bool > | enable_performance_gating
Optional< bool > | enable_minor_stream_codec_follow_major_stream
Optional< bool > | enable_simulcast_stream_codec_follow_major_stream
Optional< bool > | enable_instant_streaming_mode
Optional< int32_t > | max_all_intra_encode_time
Optional< float > | scc_autoframerate_bitrate_ratio
Optional< int32_t > | feedback_mode
Optional< bool > | response_quick_intra_request
Optional< int > | encode_failed_fallback_thresh
Optional< std::string > | minimum_amf_version_require
Optional< int > | vtenc_default_pixel_format
Optional< bool > | encoder_skip_color_space_override_if_present_enable
Optional< int > | intra_request_keyframe_received_timeout_ms

## Constructor & Destructor Documentation

## ◆ VideoConfigurationEx()

agora::rtc::VideoConfigurationEx::VideoConfigurationEx | ( |  | ) |
| default

## ◆ ~VideoConfigurationEx()

agora::rtc::VideoConfigurationEx::~VideoConfigurationEx | ( |  | ) |
| default

## Member Function Documentation

## ◆ SetAll()

void agora::rtc::VideoConfigurationEx::SetAll | ( | const VideoConfigurationEx & | change | ) |
| inline

## ◆ operator==()

bool agora::rtc::VideoConfigurationEx::operator== | ( | const VideoConfigurationEx & | o | ) | const
| inline

## ◆ operator!=()

bool agora::rtc::VideoConfigurationEx::operator!= | ( | const VideoConfigurationEx & | o | ) | const
| inline

## ◆ ToString()

std::string agora::rtc::VideoConfigurationEx::ToString | ( |  | ) | const
| inline

## ◆ Optional() [1/4]

agora::rtc::VideoConfigurationEx::Optional | ( | number_of_bframe_temporal_layers |  | ) |

## ◆ Optional() [2/4]

agora::rtc::VideoConfigurationEx::Optional | ( | min_qp |  | ) |

## ◆ Optional() [3/4]

agora::rtc::VideoConfigurationEx::Optional | ( | max_qp |  | ) |

## ◆ Optional() [4/4]

agora::rtc::VideoConfigurationEx::Optional | ( | frame_max_size |  | ) |

## Member Data Documentation

## ◆ codec_type

Optional<int> agora::rtc::VideoConfigurationEx::codec_type

## ◆ h265_screen_enable

Optional<int> agora::rtc::VideoConfigurationEx::h265_screen_enable

## ◆ frame_width

Optional<int> agora::rtc::VideoConfigurationEx::frame_width

## ◆ frame_height

Optional<int> agora::rtc::VideoConfigurationEx::frame_height

## ◆ frame_rate

Optional<int> agora::rtc::VideoConfigurationEx::frame_rate

## ◆ start_bitrate

Optional<int> agora::rtc::VideoConfigurationEx::start_bitrate

## ◆ target_bitrate

Optional<int> agora::rtc::VideoConfigurationEx::target_bitrate

## ◆ min_bitrate

Optional<int> agora::rtc::VideoConfigurationEx::min_bitrate

## ◆ max_bitrate

Optional<int> agora::rtc::VideoConfigurationEx::max_bitrate

## ◆ actual_max_bitrate

Optional<int> agora::rtc::VideoConfigurationEx::actual_max_bitrate

## ◆ orientation_mode

Optional<int> agora::rtc::VideoConfigurationEx::orientation_mode

## ◆ number_of_temporal_layers

Optional<uint8_t> agora::rtc::VideoConfigurationEx::number_of_temporal_layers

## ◆ sps_data

Optional<std::string> agora::rtc::VideoConfigurationEx::sps_data

## ◆ pps_data

Optional<std::string> agora::rtc::VideoConfigurationEx::pps_data

## ◆ h264_profile

Optional<int> agora::rtc::VideoConfigurationEx::h264_profile

## ◆ adaptive_op_mode

Optional<bool> agora::rtc::VideoConfigurationEx::adaptive_op_mode

## ◆ number_of_spatial_layers

Optional<uint8_t> agora::rtc::VideoConfigurationEx::number_of_spatial_layers

## ◆ flexible_mode

Optional<bool> agora::rtc::VideoConfigurationEx::flexible_mode

## ◆ interlayer_pred

Optional<int> agora::rtc::VideoConfigurationEx::interlayer_pred

## ◆ num_of_encoder_cores

Optional<int> agora::rtc::VideoConfigurationEx::num_of_encoder_cores

## ◆ degradation_preference

Optional<int> agora::rtc::VideoConfigurationEx::degradation_preference

## ◆ fps_down_step

Optional<int> agora::rtc::VideoConfigurationEx::fps_down_step

## ◆ fps_up_step

Optional<int> agora::rtc::VideoConfigurationEx::fps_up_step

## ◆ vqc_version

Optional<int> agora::rtc::VideoConfigurationEx::vqc_version

## ◆ vqc_force_use_version

Optional<int> agora::rtc::VideoConfigurationEx::vqc_force_use_version

## ◆ overuse_detector_version

Optional<int> agora::rtc::VideoConfigurationEx::overuse_detector_version

## ◆ vqc_quick_adaptNetwork

Optional<bool> agora::rtc::VideoConfigurationEx::vqc_quick_adaptNetwork

## ◆ vqc_min_framerate

Optional<int> agora::rtc::VideoConfigurationEx::vqc_min_framerate

## ◆ vqc_settings_by_resolution

Optional<std::string> agora::rtc::VideoConfigurationEx::vqc_settings_by_resolution

## ◆ vqc_min_holdtime_auto_resize_zoomin

Optional<int> agora::rtc::VideoConfigurationEx::vqc_min_holdtime_auto_resize_zoomin

## ◆ vqc_min_holdtime_auto_resize_zoomout

Optional<int> agora::rtc::VideoConfigurationEx::vqc_min_holdtime_auto_resize_zoomout

## ◆ vqc_qp_adjust

Optional<int> agora::rtc::VideoConfigurationEx::vqc_qp_adjust

## ◆ vqc_ios_h265_adjust

Optional<int> agora::rtc::VideoConfigurationEx::vqc_ios_h265_adjust

## ◆ vqc_res_min_width

Optional<int> agora::rtc::VideoConfigurationEx::vqc_res_min_width

## ◆ vqc_res_min_height

Optional<int> agora::rtc::VideoConfigurationEx::vqc_res_min_height

## ◆ quick_response_intra_request

Optional<int> agora::rtc::VideoConfigurationEx::quick_response_intra_request

## ◆ fec_method

Optional<int> agora::rtc::VideoConfigurationEx::fec_method

## ◆ fec_fix_rate

Optional<int> agora::rtc::VideoConfigurationEx::fec_fix_rate

## ◆ h265_dec_enable

Optional<bool> agora::rtc::VideoConfigurationEx::h265_dec_enable

## ◆ av1_dec_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av1_dec_enable

## ◆ av1_camera_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av1_camera_enable

## ◆ av1_feedback_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av1_feedback_enable

## ◆ av1_screen_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av1_screen_enable

## ◆ major_stream_encoder_thread_num

Optional<int> agora::rtc::VideoConfigurationEx::major_stream_encoder_thread_num

## ◆ minor_stream_encoder_thread_num

Optional<int> agora::rtc::VideoConfigurationEx::minor_stream_encoder_thread_num

## ◆ enc_scc_enable

Optional<bool> agora::rtc::VideoConfigurationEx::enc_scc_enable

## ◆ vp8_enc_switch

Optional<bool> agora::rtc::VideoConfigurationEx::vp8_enc_switch

## ◆ vcm_info_event_enable

Optional<bool> agora::rtc::VideoConfigurationEx::vcm_info_event_enable

## ◆ min_enc_level

Optional<int> agora::rtc::VideoConfigurationEx::min_enc_level

## ◆ minscore_for_swh265enc

Optional<int> agora::rtc::VideoConfigurationEx::minscore_for_swh265enc

## ◆ max_hwenc_cosessions

Optional<int> agora::rtc::VideoConfigurationEx::max_hwenc_cosessions

## ◆ default_enable_hwenc_win32

Optional<bool> agora::rtc::VideoConfigurationEx::default_enable_hwenc_win32

## ◆ allow_qsvhevcenc_for_screenshare

Optional<bool> agora::rtc::VideoConfigurationEx::allow_qsvhevcenc_for_screenshare

## ◆ hwenc_blacklist

Optional<std::string> agora::rtc::VideoConfigurationEx::hwenc_blacklist

## ◆ hwdec_blacklist

Optional<std::string> agora::rtc::VideoConfigurationEx::hwdec_blacklist

## ◆ enable_change_encoder_profile

Optional<bool> agora::rtc::VideoConfigurationEx::enable_change_encoder_profile

## ◆ wz265_dec_enable

Optional<bool> agora::rtc::VideoConfigurationEx::wz265_dec_enable

## ◆ complexity

Optional<int> agora::rtc::VideoConfigurationEx::complexity

## ◆ denoising_on

Optional<bool> agora::rtc::VideoConfigurationEx::denoising_on

## ◆ automatic_resize_on

Optional<bool> agora::rtc::VideoConfigurationEx::automatic_resize_on

## ◆ frame_dropping_on

Optional<bool> agora::rtc::VideoConfigurationEx::frame_dropping_on

## ◆ has_intra_request

Optional<bool> agora::rtc::VideoConfigurationEx::has_intra_request

## ◆ key_frame_interval

Optional<int> agora::rtc::VideoConfigurationEx::key_frame_interval

## ◆ entropy_coding_mode_flag

Optional<int> agora::rtc::VideoConfigurationEx::entropy_coding_mode_flag

## ◆ loop_filter_disable_idc

Optional<int> agora::rtc::VideoConfigurationEx::loop_filter_disable_idc

## ◆ background_detection_on

Optional<bool> agora::rtc::VideoConfigurationEx::background_detection_on

## ◆ posted_frames_waiting_for_encode

Optional<int> agora::rtc::VideoConfigurationEx::posted_frames_waiting_for_encode

## ◆ freeze_detect_threshold

Optional<int> agora::rtc::VideoConfigurationEx::freeze_detect_threshold

## ◆ bitrate_adjust_ratio

Optional<std::string> agora::rtc::VideoConfigurationEx::bitrate_adjust_ratio

## ◆ minbitrate_ratio

Optional<std::string> agora::rtc::VideoConfigurationEx::minbitrate_ratio

## ◆ quality_scale_only_on_average_qp

Optional<bool> agora::rtc::VideoConfigurationEx::quality_scale_only_on_average_qp

## ◆ h264_qp_thresholds_low

Optional<int> agora::rtc::VideoConfigurationEx::h264_qp_thresholds_low

## ◆ h264_qp_thresholds_high

Optional<int> agora::rtc::VideoConfigurationEx::h264_qp_thresholds_high

## ◆ reset_bitrate_ratio

Optional<int> agora::rtc::VideoConfigurationEx::reset_bitrate_ratio

## ◆ reset_framerate_ratio

Optional<int> agora::rtc::VideoConfigurationEx::reset_framerate_ratio

## ◆ dec_mosreport

Optional<int> agora::rtc::VideoConfigurationEx::dec_mosreport

## ◆ vqa_model_target_fps

Optional<int> agora::rtc::VideoConfigurationEx::vqa_model_target_fps

## ◆ enable_hw_decoder

Optional<bool> agora::rtc::VideoConfigurationEx::enable_hw_decoder

## ◆ enable_background_hw_decode

Optional<bool> agora::rtc::VideoConfigurationEx::enable_background_hw_decode

## ◆ hw_decoder_provider

Optional<std::string> agora::rtc::VideoConfigurationEx::hw_decoder_provider

## ◆ decoder_thread_num

Optional<int> agora::rtc::VideoConfigurationEx::decoder_thread_num

## ◆ max_hwdec_cosessions

Optional<int> agora::rtc::VideoConfigurationEx::max_hwdec_cosessions

## ◆ enable_hw_encoder

Optional<bool> agora::rtc::VideoConfigurationEx::enable_hw_encoder

## ◆ hw_encoder_provider

Optional<uint32_t> agora::rtc::VideoConfigurationEx::hw_encoder_provider

## ◆ av_enc_codec_type

Optional<uint32_t> agora::rtc::VideoConfigurationEx::av_enc_codec_type

## ◆ av_enc_common_quality

Optional<uint32_t> agora::rtc::VideoConfigurationEx::av_enc_common_quality

## ◆ av_enc_common_rate_control_mode

Optional<uint32_t> agora::rtc::VideoConfigurationEx::av_enc_common_rate_control_mode

## ◆ enable_nvdia_first

Optional<bool> agora::rtc::VideoConfigurationEx::enable_nvdia_first

## ◆ nvdia_cpu_threshold_mhz

Optional<int32_t> agora::rtc::VideoConfigurationEx::nvdia_cpu_threshold_mhz

## ◆ intel_cpu_threshold_mhz

Optional<int32_t> agora::rtc::VideoConfigurationEx::intel_cpu_threshold_mhz

## ◆ vdm_not_override_lua_smallvideo_not_use_hwenc_policy

Optional<bool> agora::rtc::VideoConfigurationEx::vdm_not_override_lua_smallvideo_not_use_hwenc_policy

## ◆ enable_video_qoe_assess

Optional<bool> agora::rtc::VideoConfigurationEx::enable_video_qoe_assess

## ◆ h264_hw_min_res_level

Optional<int> agora::rtc::VideoConfigurationEx::h264_hw_min_res_level

## ◆ av_enc_video_max_slices

Optional<int> agora::rtc::VideoConfigurationEx::av_enc_video_max_slices

## ◆ video_encoder_rc_limit_value

Optional<int> agora::rtc::VideoConfigurationEx::video_encoder_rc_limit_value

## ◆ minor_stream_video_encoder_rc_limit_value

Optional<int> agora::rtc::VideoConfigurationEx::minor_stream_video_encoder_rc_limit_value

## ◆ video_encoder_rc_scene

Optional<int> agora::rtc::VideoConfigurationEx::video_encoder_rc_scene

## ◆ video_encoder_impair_net_ref_opt

Optional<int> agora::rtc::VideoConfigurationEx::video_encoder_impair_net_ref_opt

## ◆ av_sw_enc_dump_frame_info

Optional<int> agora::rtc::VideoConfigurationEx::av_sw_enc_dump_frame_info

## ◆ enable_pvc

Optional<bool> agora::rtc::VideoConfigurationEx::enable_pvc

## ◆ pvc_max_support_resolution

Optional<int> agora::rtc::VideoConfigurationEx::pvc_max_support_resolution

## ◆ enable_pvc_verify

Optional<bool> agora::rtc::VideoConfigurationEx::enable_pvc_verify

## ◆ enable_sr_verify

Optional<bool> agora::rtc::VideoConfigurationEx::enable_sr_verify

## ◆ sr_verify_type

Optional<int> agora::rtc::VideoConfigurationEx::sr_verify_type

## ◆ enable_sr

Optional<bool> agora::rtc::VideoConfigurationEx::enable_sr

## ◆ sr_type

Optional<int> agora::rtc::VideoConfigurationEx::sr_type

## ◆ enable_video_vpr

Optional<bool> agora::rtc::VideoConfigurationEx::enable_video_vpr

## ◆ video_vpr_init_size

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_vpr_init_size

## ◆ video_vpr_max_size

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_vpr_max_size

## ◆ video_vpr_frozen_ms_thres

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_vpr_frozen_ms_thres

## ◆ video_vpr_frozen_rate_thres

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_vpr_frozen_rate_thres

## ◆ video_vpr_method

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_vpr_method

## ◆ video_vpr_adaptive_thres

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_vpr_adaptive_thres

## ◆ retrans_detect_enable

Optional<bool> agora::rtc::VideoConfigurationEx::retrans_detect_enable

## ◆ use_sent_ts_enable

Optional<bool> agora::rtc::VideoConfigurationEx::use_sent_ts_enable

## ◆ av_enc_intra_key_interval

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_intra_key_interval

## ◆ key_force_device_score

Optional<int32_t> agora::rtc::VideoConfigurationEx::key_force_device_score

## ◆ av_enc_bitrate_adjustment_type

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_bitrate_adjustment_type

## ◆ video_rotation

Optional<int> agora::rtc::VideoConfigurationEx::video_rotation

## ◆ scale_type

Optional<int> agora::rtc::VideoConfigurationEx::scale_type

## ◆ video_render_d3d9_texture

Optional<bool> agora::rtc::VideoConfigurationEx::video_render_d3d9_texture

## ◆ video_render_d3d9_render_mode

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_render_d3d9_render_mode

## ◆ video_render_buffer_queue_size

Optional<int32_t> agora::rtc::VideoConfigurationEx::video_render_buffer_queue_size

## ◆ video_render_vsync_switch

Optional<bool> agora::rtc::VideoConfigurationEx::video_render_vsync_switch

## ◆ video_force_texture_to_i420

Optional<bool> agora::rtc::VideoConfigurationEx::video_force_texture_to_i420

## ◆ video_windows_capture_to_texture

Optional<bool> agora::rtc::VideoConfigurationEx::video_windows_capture_to_texture

## ◆ video_android_capturer_copy_enable

Optional<bool> agora::rtc::VideoConfigurationEx::video_android_capturer_copy_enable

## ◆ video_enable_high_definition_strategy

Optional<bool> agora::rtc::VideoConfigurationEx::video_enable_high_definition_strategy

## ◆ av_enc_video_use_a264

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_video_use_a264

## ◆ av_enc_video_enable_roi

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_video_enable_roi

## ◆ roi_max_qp

Optional<int> agora::rtc::VideoConfigurationEx::roi_max_qp

## ◆ roi_qp_offset

Optional<int> agora::rtc::VideoConfigurationEx::roi_qp_offset

## ◆ av_enc_video_qp_parser_skip

Optional<int> agora::rtc::VideoConfigurationEx::av_enc_video_qp_parser_skip

## ◆ video_clarity_analysis_flag

Optional<int> agora::rtc::VideoConfigurationEx::video_clarity_analysis_flag

## ◆ video_clarity_analysis_max_map_size

Optional<int> agora::rtc::VideoConfigurationEx::video_clarity_analysis_max_map_size

## ◆ video_clarity_analysis_max_list_size

Optional<int> agora::rtc::VideoConfigurationEx::video_clarity_analysis_max_list_size

## ◆ video_clarity_analysis_max_time_range

Optional<int> agora::rtc::VideoConfigurationEx::video_clarity_analysis_max_time_range

## ◆ video_clarity_analysis_score_threshold

Optional<int> agora::rtc::VideoConfigurationEx::video_clarity_analysis_score_threshold

## ◆ av_enc_vmaf_calc

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_vmaf_calc

## ◆ av_enc_profiling

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_profiling

## ◆ av_enc_param_config

Optional<std::string> agora::rtc::VideoConfigurationEx::av_enc_param_config

## ◆ video_resolution_auto_adjust_param

Optional<std::string> agora::rtc::VideoConfigurationEx::video_resolution_auto_adjust_param

## ◆ video_quality_guarantee

Optional<std::string> agora::rtc::VideoConfigurationEx::video_quality_guarantee

## ◆ av_enc_advanced_param_config

Optional<std::string> agora::rtc::VideoConfigurationEx::av_enc_advanced_param_config

## ◆ av_enc_screen_sharing_subclass

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_screen_sharing_subclass

## ◆ av_enc_video_width_alignment

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_video_width_alignment

## ◆ av_enc_video_height_alignment

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_video_height_alignment

## ◆ av_enc_video_hdr_width_alignment

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_video_hdr_width_alignment

## ◆ av_enc_video_hdr_height_alignment

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_video_hdr_height_alignment

## ◆ av_enc_video_hwenc_config

Optional<std::string> agora::rtc::VideoConfigurationEx::av_enc_video_hwenc_config

## ◆ av_dec_video_hwdec_config

Optional<std::string> agora::rtc::VideoConfigurationEx::av_dec_video_hwdec_config

## ◆ av_hw_dec_skip_by_name

Optional<std::string> agora::rtc::VideoConfigurationEx::av_hw_dec_skip_by_name

## ◆ av_hw_enc_skip_by_name

Optional<std::string> agora::rtc::VideoConfigurationEx::av_hw_enc_skip_by_name

## ◆ av_enc_hw_hevc_exceptions

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_hw_hevc_exceptions

## ◆ av_dec_hw_hevc_exceptions

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_dec_hw_hevc_exceptions

## ◆ av_enc_hw_exceptions

Optional<int32_t> agora::rtc::VideoConfigurationEx::av_enc_hw_exceptions

## ◆ av_enc_video_force_alignment

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_video_force_alignment

## ◆ av_enc_video_enable_dequeue_timewait

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_video_enable_dequeue_timewait

## ◆ av_enc_video_adjustment_reset

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_video_adjustment_reset

## ◆ av_dec_texture_copy_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av_dec_texture_copy_enable

## ◆ av_dec_output_byte_frame

Optional<bool> agora::rtc::VideoConfigurationEx::av_dec_output_byte_frame

## ◆ av_dec_output_10bit_frame

Optional<bool> agora::rtc::VideoConfigurationEx::av_dec_output_10bit_frame

## ◆ av_enc_google_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_google_enable

## ◆ av_dec_google_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av_dec_google_enable

## ◆ av_dec_google_dav1d_enable

Optional<bool> agora::rtc::VideoConfigurationEx::av_dec_google_dav1d_enable

## ◆ av_dec_output_byte_frame_resolution_product_thres

Optional<int> agora::rtc::VideoConfigurationEx::av_dec_output_byte_frame_resolution_product_thres

## ◆ enable_hw_decoder_reset_cropping

Optional<bool> agora::rtc::VideoConfigurationEx::enable_hw_decoder_reset_cropping

## ◆ use_single_slice_parser

Optional<bool> agora::rtc::VideoConfigurationEx::use_single_slice_parser

## ◆ color_space_enable

Optional<bool> agora::rtc::VideoConfigurationEx::color_space_enable

## ◆ videoFullrange

Optional<int> agora::rtc::VideoConfigurationEx::videoFullrange

## ◆ matrixCoefficients

Optional<int> agora::rtc::VideoConfigurationEx::matrixCoefficients

## ◆ enable_iptos

Optional<bool> agora::rtc::VideoConfigurationEx::enable_iptos

## ◆ save_encode_bitrate

Optional<bool> agora::rtc::VideoConfigurationEx::save_encode_bitrate

## ◆ save_encode_bitrate_minor_stream

Optional<bool> agora::rtc::VideoConfigurationEx::save_encode_bitrate_minor_stream

## ◆ save_encode_bitrate_params

Optional<std::string> agora::rtc::VideoConfigurationEx::save_encode_bitrate_params

## ◆ key_frame_interval_intra_request

Optional<int> agora::rtc::VideoConfigurationEx::key_frame_interval_intra_request

## ◆ video_switch_soft_decoder_threshold

Optional<int> agora::rtc::VideoConfigurationEx::video_switch_soft_decoder_threshold

## ◆ min_encode_keyframe_interval

Optional<int> agora::rtc::VideoConfigurationEx::min_encode_keyframe_interval

## ◆ video_skip_enable

Optional<bool> agora::rtc::VideoConfigurationEx::video_skip_enable

## ◆ av_enc_new_complexity

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_new_complexity

## ◆ av_enc_default_complexity

Optional<int> agora::rtc::VideoConfigurationEx::av_enc_default_complexity

## ◆ enable_parser_reject

Optional<bool> agora::rtc::VideoConfigurationEx::enable_parser_reject

## ◆ direct_cdn_streaming_h264_profile

Optional<int> agora::rtc::VideoConfigurationEx::direct_cdn_streaming_h264_profile

## ◆ av_enc_send_sei_alpha

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_send_sei_alpha

## ◆ av_enc_alpha_data_codec_type

Optional<int> agora::rtc::VideoConfigurationEx::av_enc_alpha_data_codec_type

## ◆ av_enc_alpha_data_scale_mode

Optional<int> agora::rtc::VideoConfigurationEx::av_enc_alpha_data_scale_mode

## ◆ av_enc_encode_alpha

Optional<bool> agora::rtc::VideoConfigurationEx::av_enc_encode_alpha

## ◆ enable_bframe

Optional<bool> agora::rtc::VideoConfigurationEx::enable_bframe

## ◆ bFrames

Optional<int> agora::rtc::VideoConfigurationEx::bFrames

## ◆ enable_bframe_h265

Optional<bool> agora::rtc::VideoConfigurationEx::enable_bframe_h265

## ◆ bitrate_ceiling_ratio

Optional<std::string> agora::rtc::VideoConfigurationEx::bitrate_ceiling_ratio

## ◆ enable_hw_encoder_quickly_start

Optional<bool> agora::rtc::VideoConfigurationEx::enable_hw_encoder_quickly_start

## ◆ initial_hw_encoder_quickly_start

Optional<bool> agora::rtc::VideoConfigurationEx::initial_hw_encoder_quickly_start

## ◆ fake_enc_error_code

Optional<int> agora::rtc::VideoConfigurationEx::fake_enc_error_code

## ◆ enable_smooth_enc_codec_change

Optional<bool> agora::rtc::VideoConfigurationEx::enable_smooth_enc_codec_change

## ◆ fps_est_window_size_ms

Optional<int> agora::rtc::VideoConfigurationEx::fps_est_window_size_ms

## ◆ default_enable_hw_encoder

Optional<bool> agora::rtc::VideoConfigurationEx::default_enable_hw_encoder

## ◆ use_keyframe_type_from_parser

Optional<int> agora::rtc::VideoConfigurationEx::use_keyframe_type_from_parser

## ◆ frame_glitching_detect_level

Optional<int> agora::rtc::VideoConfigurationEx::frame_glitching_detect_level

## ◆ enable_minor_stream_intra_request

Optional<bool> agora::rtc::VideoConfigurationEx::enable_minor_stream_intra_request

## ◆ low_stream_enable_hw_encoder

Optional<bool> agora::rtc::VideoConfigurationEx::low_stream_enable_hw_encoder

## ◆ simulcast_stream_number_of_temporal_layers

Optional<uint8_t> agora::rtc::VideoConfigurationEx::simulcast_stream_number_of_temporal_layers

## ◆ simulcast_stream_bitrate_string

Optional<std::string> agora::rtc::VideoConfigurationEx::simulcast_stream_bitrate_string

## ◆ enable_follow_major_stream

Optional<bool> agora::rtc::VideoConfigurationEx::enable_follow_major_stream

## ◆ major_minor_stream_resolution_ratio

Optional<float> agora::rtc::VideoConfigurationEx::major_minor_stream_resolution_ratio

## ◆ enable_performance_gating

Optional<bool> agora::rtc::VideoConfigurationEx::enable_performance_gating

## ◆ enable_minor_stream_codec_follow_major_stream

Optional<bool> agora::rtc::VideoConfigurationEx::enable_minor_stream_codec_follow_major_stream

## ◆ enable_simulcast_stream_codec_follow_major_stream

Optional<bool> agora::rtc::VideoConfigurationEx::enable_simulcast_stream_codec_follow_major_stream

## ◆ enable_instant_streaming_mode

Optional<bool> agora::rtc::VideoConfigurationEx::enable_instant_streaming_mode

## ◆ max_all_intra_encode_time

Optional<int32_t> agora::rtc::VideoConfigurationEx::max_all_intra_encode_time

## ◆ scc_autoframerate_bitrate_ratio

Optional<float> agora::rtc::VideoConfigurationEx::scc_autoframerate_bitrate_ratio

## ◆ feedback_mode

Optional<int32_t> agora::rtc::VideoConfigurationEx::feedback_mode

## ◆ response_quick_intra_request

Optional<bool> agora::rtc::VideoConfigurationEx::response_quick_intra_request

## ◆ encode_failed_fallback_thresh

Optional<int> agora::rtc::VideoConfigurationEx::encode_failed_fallback_thresh

## ◆ minimum_amf_version_require

Optional<std::string> agora::rtc::VideoConfigurationEx::minimum_amf_version_require

## ◆ vtenc_default_pixel_format

Optional<int> agora::rtc::VideoConfigurationEx::vtenc_default_pixel_format

## ◆ encoder_skip_color_space_override_if_present_enable

Optional<bool> agora::rtc::VideoConfigurationEx::encoder_skip_color_space_override_if_present_enable

## ◆ intra_request_keyframe_received_timeout_ms

Optional<int> agora::rtc::VideoConfigurationEx::intra_request_keyframe_received_timeout_ms